version: '3.4'

services:
  playground:
    image: perl
    volumes:
    - ..:/work
    working_dir: /work
    command: |-
      sh -c '
      test -f main.pl || cat << EOF > main.pl
      print "Hello world!\n"
      EOF
      exec tail -f /dev/null'
